__gnu_parallel::balanced_quicksort_tag(3)

NAME
__gnu_parallel::balanced_quicksort_tag -

SYNOPSIS

Inherits __gnu_parallel::parallel_tag.

  Public Member Functions
balanced_quicksort_tag (_ThreadIndex __num_threads)
_ThreadIndex __get_num_threads ()
void set_num_threads (_ThreadIndex __num_threads)

Detailed Description

Forces parallel sorting using balanced quicksort at compile time.

Definition at line 164 of file tags.h.

Member Function Documentation

  _ThreadIndex __gnu_parallel::parallel_tag::__get_num_threads () [inline], [inherited]

Find out desired number of threads.

Returns:
    Desired number of threads.

Definition at line 63 of file tags.h.

Referenced by __gnu_parallel::__parallel_sort().

  void __gnu_parallel::parallel_tag::set_num_threads (_ThreadIndex__num_threads) [inline], [inherited]

Set the desired number of threads.

Parameters:
    __num_threads Desired number of threads.

Definition at line 73 of file tags.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.